exportCustomDashboardPack
A pack as a definition file bound to the company
exportCustomDashboardPack(
companyId: ID!
key: String!
version: Int!
timezone: String!
): CustomDashboardExport!
Arguments
exportCustomDashboardPack.companyId ● ID! non-null scalar
exportCustomDashboardPack.key ● String! non-null scalar
exportCustomDashboardPack.version ● Int! non-null scalar
exportCustomDashboardPack.timezone ● String! non-null scalar
IANA reporting time zone for the pack's dashboards
Type
CustomDashboardExport object
A definition file: configuration only, never result data
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the companies query first and use data.companies.collection[].id as companyId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetExportCustomDashboardPack($companyId: ID!, $key: String!, $version: Int!, $timezone: String!) {\n exportCustomDashboardPack(companyId: $companyId, key: $key, version: $version, timezone: $timezone) { content fileName }\n}","variables":{"companyId":"<company_id>","key":"example","version":1,"timezone":"example"}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetExportCustomDashboardPack($companyId: ID!, $key: String!, $version: Int!, $timezone: String!) {\n exportCustomDashboardPack(companyId: $companyId, key: $key, version: $version, timezone: $timezone) { content fileName }\n}",
variables: {
"companyId": "<company_id>",
"key": "example",
"version": 1,
"timezone": "example"
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetExportCustomDashboardPack($companyId: ID!, $key: String!, $version: Int!, $timezone: String!) {\n exportCustomDashboardPack(companyId: $companyId, key: $key, version: $version, timezone: $timezone) { content fileName }\n}",
'variables': json.loads("{\"companyId\":\"<company_id>\",\"key\":\"example\",\"version\":1,\"timezone\":\"example\"}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute